Loading...
Searching...
No Matches
RandomGenerator Struct Reference

Generates a random integer not greater than a given maximum. More...

`#include </build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/ibf.hpp>`

## Public Member Functions

| RandomGenerator (int max)
int | operator() ()

## Public Attributes

int | maxi

## Detailed Description

Generates a random integer not greater than a given maximum.

## Constructor & Destructor Documentation

## RandomGenerator()

RandomGenerator::RandomGenerator | ( | int | max | ) |

inline

## Member Function Documentation

## operator()()

int RandomGenerator::operator() | ( |  | ) |

inline

## Member Data Documentation

## maxi

int RandomGenerator::maxi

The documentation for this struct was generated from the following file:

- /build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/ibf.hpp